Bug 1528784 - inkscape should no longer require gvfs
Summary: inkscape should no longer require gvfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-24 02:47 UTC by Jim Perrin
Modified: 2019-02-12 02:56 UTC (History)
6 users (show)

Fixed In Version: inkscape-0.92.4-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 02:56:25 UTC


Attachments (Terms of Use)

Description Jim Perrin 2017-12-24 02:47:57 UTC
Description of problem:
inkscape currently requires gvfs but this has been fixed upstream. 

Version-Release number of selected component (if applicable):
inkscape-0.92.2-1.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1. from minimal install -> dnf install inkscape
2. see that gvfs listed among the dependencies.
3.

Actual results:
gvfs and friend are listed as deps

Expected results:
inkscape doesn't pull in gvfs and many of its friends.

Additional info:
The gvfs requirement was dropped upstream as noted in https://bugs.launchpad.net/inkscape/+bug/1545737/comments/15

Comment 1 Ben Cotton 2018-11-27 17:41:32 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Robin Laing 2019-02-03 00:41:27 UTC
I will confirm that gvfs is still a dependency within Inkscape.  

On a fully updated F29 system, I tried to install inkscape and gvfs and other related applications were required as dependencies.

sudo dnf install inkscape
pam_mount password:
Fedora Modular 29 - x86_64                                                             2.9 kB/s |  16 kB     00:05    
Fedora Modular 29 - x86_64 - Updates                                                    11 kB/s |  15 kB     00:01    
Fedora 29 - x86_64 - Updates                                                            13 kB/s |  16 kB     00:01    
Fedora 29 - x86_64                                                                      11 kB/s |  16 kB     00:01    
RPM Fusion for Fedora 29 - Free - Updates                                              7.6 kB/s |  13 kB     00:01    
RPM Fusion for Fedora 29 - Free                                                        1.5 kB/s | 2.5 kB     00:01    
RPM Fusion for Fedora 29 - Nonfree - Updates                                           7.6 kB/s |  13 kB     00:01    
RPM Fusion for Fedora 29 - Nonfree                                                     8.8 kB/s |  14 kB     00:01    
Dependencies resolved.
=======================================================================================================================
 Package                           Arch                   Version                        Repository               Size
=======================================================================================================================
Installing:
 inkscape                          x86_64                 0.92.4-1.fc29                  updates                  17 M
Installing dependencies:
 gvfs                              x86_64                 1.38.1-2.fc29                  updates                 315 k
 gvfs-client                       x86_64                 1.38.1-2.fc29                  updates                 744 k
 gnome-vfs2                        x86_64                 2.24.4-27.fc29                 fedora                  400 k
 gnome-vfs2-common                 noarch                 2.24.4-27.fc29                 fedora                  419 k
 python2-scour                     noarch                 0.35-9.fc29                    fedora                   86 k

Transaction Summary
=======================================================================================================================
Install  6 Packages

Total download size: 19 M
Installed size: 130 M
Is this ok [y/N]:

Comment 3 Fedora Update System 2019-02-09 01:29:40 UTC
inkscape-0.92.4-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d3f298c59

Comment 4 Fedora Update System 2019-02-10 04:28:27 UTC
inkscape-0.92.4-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d3f298c59

Comment 5 Fedora Update System 2019-02-12 02:56:25 UTC
inkscape-0.92.4-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.